Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander Kurtakov2014-01-09 10:21:34 +0000
committerAlexander Kurtakov2014-01-09 10:21:34 +0000
commit992057150e4d634de00949178d9039dc1c8c8ef3 (patch)
tree10c1d4fcf24fa29b61bc9108685969a7577ac984 /examples/org.eclipse.swt.examples.paint/META-INF/MANIFEST.MF
parent00aacc76bb090faa6f600fb76f59bae2a196bb00 (diff)
downloadeclipse.platform.swt-992057150e4d634de00949178d9039dc1c8c8ef3.tar.gz
eclipse.platform.swt-992057150e4d634de00949178d9039dc1c8c8ef3.tar.xz
eclipse.platform.swt-992057150e4d634de00949178d9039dc1c8c8ef3.zip
Bug 425157 - Do not use nested jars in swt examples.
There is no need to use nested jars nowadays, they are not properly handled by tycho builds, leave the build tree dirty and etc. Additionally required bundles have been optimized to prevent exessive resolving and useless activator is removed. Change-Id: I3583345714fdf0619c824469ec257992cc712754 Signed-off-by: Alexander Kurtakov <akurtako@redhat.com>
Diffstat (limited to 'examples/org.eclipse.swt.examples.paint/META-INF/MANIFEST.MF')
-rw-r--r--examples/org.eclipse.swt.examples.paint/META-INF/MANIFEST.MF10
1 files changed, 1 insertions, 9 deletions
diff --git a/examples/org.eclipse.swt.examples.paint/META-INF/MANIFEST.MF b/examples/org.eclipse.swt.examples.paint/META-INF/MANIFEST.MF
index b32ec86141..7ec135565c 100644
--- a/examples/org.eclipse.swt.examples.paint/META-INF/MANIFEST.MF
+++ b/examples/org.eclipse.swt.examples.paint/META-INF/MANIFEST.MF
@@ -3,19 +3,11 @@ Bundle-ManifestVersion: 2
Bundle-Name: %plugin.SWTPaintExample.name
Bundle-SymbolicName: org.eclipse.swt.examples.paint; singleton:=true
Bundle-Version: 3.103.0.qualifier
-Bundle-ClassPath: paint.jar
Bundle-Activator: org.eclipse.swt.examples.paint.PaintPlugin
Bundle-Vendor: %providerName
Bundle-Localization: plugin
-Require-Bundle: org.eclipse.ui.ide,
- org.eclipse.ui.views,
- org.eclipse.jface.text,
- org.eclipse.ui.workbench.texteditor,
- org.eclipse.ui.editors,
- org.eclipse.core.runtime,
- org.eclipse.core.resources,
+Require-Bundle: org.eclipse.core.runtime,
org.eclipse.ui,
- org.eclipse.swt,
org.eclipse.swt.examples
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.5

Back to the top